
QGIS Application - Bug report #3490

Delimited text plugin does not work in trunk

2011-02-14 09:20 PM - Alister Hood

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13550

Description

I can no longer add any delimited text file that used to work.

Ramon reported the same thing on the mailing list; I'm not sure what OS he is using.

qgis-dev-1.7.0-65 and qgis-dev-1.7.0-68 both do not work.  I think the previous version I was running did, but there is no easy way to

revert to it to check.

An error message like this is produced:

The layer

X:/7372-%20WCC%20Twin%20Streams%20ICMP/test.csv?delimiter=%5B,%5D&delimiterType=regexp&xField=East&yField=North is

not a valid layer and can not be added to the map

Associated revisions

Revision 972f10fe - 2011-02-16 10:52 AM - Jürgen Fischer

fix #3490

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15177 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 24648847 - 2011-02-16 10:52 AM - Jürgen Fischer

fix #3490

git-svn-id: http://svn.osgeo.org/qgis/trunk@15177 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-02-15 12:55 AM - Marco Hugentobler

Could you attach an example file? I just tested today (commit:8e0e6f4a (SVN r15174)) with a very simple csv and it worked for me.

#2 - 2011-02-15 02:15 PM - Alister Hood

For what it's worth:

gis-dev-1.7.0-68 =
http://svn.osgeo.org/qgis/trunk/qgis@15177
http://svn.osgeo.org/qgis/trunk@15177


If I replace delimitedtextplugin.dll with the one from QGIS 1.6 it works.

#3 - 2011-02-16 01:02 AM - Alister Hood

I just tested today (commit:8e0e6f4a (SVN r15174)) with a very simple csv and it worked for me.

For the record, it still doesn't work for me with commit:1a4ff7dc (SVN r15176)

#4 - 2011-02-16 01:57 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:3 Alister]:

I just tested today (commit:8e0e6f4a (SVN r15174)) with a very simple csv and it worked for me.

For the record, it still doesn't work for me with commit:1a4ff7dc (SVN r15176)

No need to keep records about how long untouched things don't change. ;)

Fixed in commit:24648847 (SVN r15178).

Should be a windows only problem with Qt >4.5 (or >4.6 - which OSGeo4W skipped).  QUrl now strips off the drive letter.  Existing layers need to be

recreated, when affected by this.

Files

test.csv 1.08 KB 2011-02-15 Alister Hood
